petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscIsNormalReal

Returns PETSC_TRUE if the input value satisfies isnormal()

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscBool PetscIsNormalReal(PetscReal a)

### Input Parameter

a -the PetscReal Value

Notes: uses the C99 standard isnormal() on systems where they exist. Uses isnormalq() with __float128 Otherwises always returns true

Level:beginner
Location:src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages